# =============================================================================== #
# xxx <>>> ES/PYTHON IMPORTS xxxxxxxxxx #
import es, playerlib
import psyco
psyco.full()
# xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx #

# xxxxxxxxxx # SAM IMPORTS # xxxxxxxxxx #
func   = es.import_addon('sam/functions')
admins = es.import_addon('sam/core/admins')
# xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx #

# x # VARIABLES/DICTIONARIES/LISTS # xx #
alltalk = es.ServerVar('sv_alltalk')
c       = {1:'#spec',2:'#t',3:'#ct'}
tname   = {1:'Spectator',2:'Terrorist',3:'Counter-Terrorist'}
# xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx #

# =============================================================================== #
# === <<<> LOAD <>>> ============================================================ #
# =============================================================================== #
def load():

	# FILTERS
	es.addons.registerSayFilter(deadChatFilter)

# =============================================================================== #
# === <<<> UNLOAD <>>> ========================================================== #
# =============================================================================== #
def unload():

	# FILTERS
	es.addons.unregisterSayFilter(deadChatFilter)

# =============================================================================== #
# === <<<> FILTERS AND OTHERS <>>> ============================================== #
# =============================================================================== #
def deadChatFilter(ID, TEXT, TEAM):
	R = (ID, TEXT, TEAM)
	if int(alltalk) == 1:
		text   = TEXT.strip('"')
		split  = text.split()
		player = playerlib.getPlayer(ID)
		if not es.exists('saycommand', split[0]) and not admins.isAdmin(ID) and player.isdead: 
				t = player.teamid
				for x in playerlib.getPlayerList('#all'):
					if not t == 1:
						if TEAM: func.say(x, '*DEAD*(%s) %s%s #default:  %s' % (tname[t],c[t],player.name,TEXT))
						elif x.teamid == t: func.say(x, '*DEAD* %s%s #default:  %s' % (c[t],player.name,TEXT))
					else:
						if TEAM: func.say(x, '*SPEC*(%s) %s%s #default:  %s' % (tname[t],c[t],player.name,TEXT))
						elif x.teamid == t: func.say(x, '*SPEC* %s%s #default:  %s' % (c[t],player.name,TEXT))
				R = (0, 0, 0)
	return R

# =============================================================================== #